@media (max-width: 992px) {
  .hamburger {
    display: flex;
  }
  .nav-links {
    position: absolute;
    top: 4.37em;
    left: 0;
    right: 0;
    background-color: #ffffff;
    color: #000000;
    flex-direction: column;
    gap: 1em;
    padding: 1em 2em;
    box-shadow: 0 20px 30px rgba(0, 0, 0, 0.15);
    display: none;
    align-items: center;
    margin-top: 5.5em;
  }
  .nav-links a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--whiteShade1);
    transition: width 0.3s ease;
    z-index: -1;
  }
  .nav-links a:hover {
    background-color: var(--baseShade1);
    color: var(--whiteShade1);
  }
  .nav-links a:hover:before {
    background-color: var(--baseShade1);
    color: white;
    width: 100%;
  }
  .nav-links.active {
    display: flex;
    top: 9.3em;
  }
  .nav-links a {
    color: #000000;
  }
}
@media (max-width: 768px) {
  .timeline::before {
    left: 20px;
  }

  .timeline-item {
    flex-direction: column;
    padding-left: 40px;
  }

  .timeline-left {
    width: auto;
    text-align: left;
  }

  .dot {
    left: 13px;
    right: auto;
  }
}

@media (max-width: 480px) {
  .navbar {
    padding: 1em 2em;
  }
  .nav-links {
    bottom: 10em;
    background-color: #ffffff;
  }
  .nav-links.active {
    top: 3.8em;
    height: 25em;
  }
  .motto {
    font-size: 30px;
  }
  .nav-container {
    padding: 0;
  }
  .hamburger span {
    width: 20px;
    height: 2px;
    margin: 3px 0;
  }
  video {
    position: absolute;
    width: 100%;
    height: auto;
    object-fit: cover;
    display: none;
  }
  .video-wrapper {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .about-us {
    flex-direction: column;
  }
  .text-container,
  .image-container {
    width: 100%;
  }
  .text-container h3 {
    text-align: center;
    font-size: 2.5em;
  }
  section {
    padding: 2em 1.2em;
  }

  /* Stack cards vertically */
  .mission-vision {
    width: 100%;
    flex-direction: column;
    gap: 3em;
  }

  .mission-vision .col {
    width: 100%;
    display: flex;
  }

  /* FIX card overflow */
  .mission-vision .card {
    height: 600px;
    width: 350px;
    position: relative;
    left: 0;
    margin: 0 auto;
  }
  .card-type-1 {
    flex-direction: column;
  }
  .card-type-2 {
    flex-direction: column-reverse;
  }
  .panchasutra {
    padding: 3em 0.5em;
  }
  .pancha-card {
    padding: 2em 1em;
  }
  footer {
    flex-direction: column;
    padding: 0.5em;
    text-align: center;
  }
  footer .about {
    width: 100%;
  }
  footer img,
  footer .about-us,
  footer .links {
    width: 100%;
  }

  footer img {
    margin: 0 auto 1em auto;
  }

  footer .links {
    align-items: center;
    margin-top: 1.5em;
  }
  .vijaydivas-reels {
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    margin: 0 auto;
    left: 2em;
  }
  .about-hero {
    display: flex;
    flex-direction: column;
    padding: 5em 1em;
  }
  .hero-container {
    width: 100%;
    padding: 1em;
  }
  .values-grid {
    grid-template-columns: 1fr;
  }
  .family-box {
    flex-direction: column-reverse;
  }
  .family {
    padding: 1em;
  }
  .text-box {
    width: 100%;
    padding: 1em;
  }
  .category-header {
    width: 350px;
  }
  .category-header .category-icon {
    width: 60px;
    height: 60px;
  }
  .category-header .category-icon img {
    width: 30px;
  }
  .category-header h2 {
    font-size: 1.8em;
  }
  .photo-grid {
    grid-template-columns: 1fr;
  }
  .trust-grid {
    grid-template-columns: 1fr;
  }
  .video-grid {
    grid-template-columns: 1fr;
  }
  .video-card img {
    width: 100%;
    height: auto;
  }
  .gallery {
    grid-template-columns: 1fr;
    padding: 1em;
  }
  .youtube-grid {
    grid-template-columns: 1fr;
  }
  .video-container {
    grid-template-columns: 1fr;
  }
  .video-box {
    width: 250px;
  }
  .modal-content {
    max-width: 80%;
    max-height: 90%;
  }

  .prachar-insta {
    padding: 2em;
    grid-template-columns: 1fr;
  }
  .prachar-images {
    grid-template-columns: 1fr;
  }
  .slider {
    width: 90vw;
    height: auto;
  }
  .slider img {
    height: auto;
  }
  .contact-us-section {
    flex-direction: column;
  }
  .image-box img {
    width: 250px;
  }
  .logo img {
    width: 10em;
  }
  .karyaawhal-content h2 {
    font-size: 35px;
  }
  .karyaawhal-content {
    flex-direction: column;
    text-align: center;
  }
  .controls {
    display: flex;
    gap: 2em;
  }
  .panchasutra h3 {
    font-size: 2em;
  }

  .card-type-1 .pancha-con p,
  .card-type-2 .pancha-con p {
    text-align: center;
  }
  .form-box {
    padding: 3em;
  }
}
